#37 Can't get bluetooth w\ with debian sid on Satellite A300

open
nobody
None
5
2009-06-22
2009-06-22
Luca
No

I can't get bluetooth working...
I tried with both the module from kirya,net and checking out the sources from sourceforge; when I

#modprobe omnibook ectype=14 bluetooth=1

I get:

omnibook: Driver version 2.20070211-trunk.
omnibook: Forced load with EC type 14.
omnibook: Can't get handle on ACPI EC device.
omnibook: Enabled features: dmi version.

If I try with ectype=12, I get a kernel oops...

I'm using linux-image-2.6.29-1-amd64, I tried using 2.6.26 from lenny but I get an oops both with ectype 12 and 14...
Thanks,
Luca

Discussion

  • Luca
    Luca
    2009-06-22

    Add A300 EC path to ec_dev_list

     
    Attachments
  • Luca
    Luca
    2009-06-22

    Hi, by poking in /sys/acpi I found out that the path for my EC was missing in acpi.c,the attached patch made the module work...
    Thanks!
    Luca

     
  • Luca
    Luca
    2009-06-22

    • summary: Can't get bluetooth working with debian sid on Satellite A30 --> Can't get bluetooth w\ with debian sid on Satellite A300